Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 542462 - app-crypt/heimdal and app-crypt/mit-krb5 need to be parallel-installable for gnome + samba
Summary: app-crypt/heimdal and app-crypt/mit-krb5 need to be parallel-installable for ...
Status: RESOLVED WONTFIX
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Library (show other bugs)
Hardware: All Linux
: Normal major with 3 votes (vote)
Assignee: Gentoo Kerberos Maintainers
URL: http://pkgs.fedoraproject.org/cgit/he...
Whiteboard:
Keywords:
Depends on: 560370
Blocks: 490872 CVE-2016-2119
  Show dependency tree
 
Reported: 2015-03-07 18:12 UTC by Alexandre Rostovtsev (RETIRED)
Modified: 2019-07-10 05:22 UTC (History)
19 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexandre Rostovtsev (RETIRED) gentoo-dev 2015-03-07 18:12:42 UTC
Several gnome components (gnome-control-center, gnome-online-accounts) require mit-krb5 for kerberos support, and upstream has shown absolutely no interest in adding heimdal compatibility.

samba-4 (just unmasked in ~arch) of course requires heimdal. And most gnome users want samba support in gvfs.

So the current situation where mit-krb5 and heimdal are hard-blocking each other is no longer acceptable, since a complete gnome desktop install pulls in both.

Please figure out a way to make the two kerberos implementations parallel-installable. In fedora, for example, heimdal lives in the /usr/lib/heimdal prefix to avoid file collisions.
Comment 1 Eray Aslan gentoo-dev 2015-03-08 14:01:00 UTC
I am not interested as long as both upstreams are uncooperative.  Too much needless work to work around stupid upstream politics.  However, if anyone steps up, I'll try and help.
Comment 2 Johannes Hirte 2015-03-09 23:31:37 UTC
It's not only gnome, nfs-utils are affected too. Build nfs-utils with kerberos support needs app-crypt/mit-krb5:

# kth-krb doesn't provide the right include
# files, and nfs-utils doesn't build against heimdal either,
# so don't depend on virtual/krb.
# (04 Feb 2005 agriffis)
Comment 3 Fabio Coatti 2015-03-22 17:33:48 UTC
I fear that this is becoming quite a showstopper, my updates are piling up. By no means I'm an expert in ebuilds management, but if no one is willing to have a look a this I can try to play a little bit with it, if someone can give me some hints or examples to get me started.

Thanks.
Comment 4 Russell Knighton 2015-09-01 10:47:32 UTC
Just wanted to add my 2 pence on this one...

I'm running several gentoo boxes, mostly as fileservers, and the recent unmasking of samba 4 has kicked this issue to the forefront for me. I require NFSv4 with kerberos encryption to serve secure NFS to linux clients, as well as Samba to serve the Windows client. It would make the role of a fileserver pretty useless if I can't have these installed concurrently.

For now, I'm just going to keep Samba 4 masked, but a longer term solution is required.

I'm not genius ato programming, but I can knock patches and ebuilds into shape, so I'd be willing to help if I can.

What are the options here? Is it possible to merge the functionality of these projects into one? How about slotting the packages - is that possible?
Comment 5 Mads 2015-09-01 11:06:28 UTC
(In reply to Russell Knighton from comment #4)
> 
> What are the options here? Is it possible to merge the functionality of
> these projects into one? How about slotting the packages - is that possible?

The best solution, as far as I can see, would be to implement the same solution as Fedora does, with heimdal installed in /usr/lib/heimdal (as Rostovtsev mentions in the description). You need to be able to have both packages installed at the same time.

I have no idea what kind of breakage this will do upon packages that depends on heimdal.
Comment 6 Lars Wendler (Polynomial-C) gentoo-dev 2015-09-09 13:45:46 UTC
>=net-fs/samba-4.2.4-r1 have a system-mitkrb5 USE flag which enables use of app-crypt/mit-krb5 instead of app-crypt/heimdal.
Comment 7 Adrian Bassett 2015-09-09 15:24:26 UTC
(In reply to Lars Wendler (Polynomial-C) from comment #6)
> >=net-fs/samba-4.2.4-r1 have a system-mitkrb5 USE flag which enables use of app-crypt/mit-krb5 instead of app-crypt/heimdal.

When will this version and associated USE flag be in the tree?
Comment 8 Matt Turner gentoo-dev 2019-07-10 05:00:05 UTC
No one's screaming about this anymore. Can we consider it WONTFIX?
Comment 9 Eray Aslan gentoo-dev 2019-07-10 05:22:41 UTC
closing.